package	jp.co.sds_corp.util.daemon.core;

import java.util.List;

/**
* デーモンクラスの定義です。
*/
public interface TimerDaemonMBean extends IDaemonMBean
{
	/**
	* 遅延時間を取得します。
	* @return	遅延時間（秒）
	*/
	public long getDelay();

	/**
	* 起動間隔を取得します。
	* @return	起動間隔（秒）
	*/
	public List<Interval> listInterval();

	/**
	* 固定間隔であるかどうかを取得します。
	* @return	true:固定間隔 
	*/
	public boolean isFixed();
}
